# Gtkeddit
## A GTK4 Reddit client written in C++

![screenshot](https://gitlab.com/caveman250/Gtkeddit/raw/master/screenshots/gtkeddit-1.png) ![screenshot](https://gitlab.com/caveman250/Gtkeddit/raw/master/screenshots/gtkeddit-3.png) ![screenshot](https://gitlab.com/caveman250/Gtkeddit/raw/master/screenshots/gtkeddit-2.png)

# Install
## Flatpak
```
flatpak install flathub io.gitlab.caveman250.gtkeddit
```

## Arch
```
git clone https://gitlab.com/caveman250/Gtkeddit
cd Gtkeddit/dist/aur
makepkg -si
```

# Building from source

## Build deps

```
- cmake
- gcc/g++
- gtkmm4 (unless you are using arch or alpine you will probably need to build this from source.)
- libmicrohttpd
- libcurl
- libssl
- libcrypto
- jsoncpp
- libxml2
- ffmpeg
- gstreamer
- gst-libav
- gst-plugins-base
- gst-plugins-good
- gst-plugins-bad
- youtube-dl
- boost
- websocketpp
- libadwaita
```

## Steps

```
git clone https://gitlab.com/caveman250/Gtkeddit
cd Gtkeddit
mkdir bin && cd bin
cmake -DCMAKE_BUILD_TYPE=RelWithDebInfo -DDIST_BUILD=ON ..
make -j4
```
